"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.scan = void 0;
var _dbDynamodb = require("@webiny/db-dynamodb");
const scan = async params => {
  const {
    table,
    keys
  } = params;
  return (0, _dbDynamodb.scan)({
    table,
    options: {
      ...params.options,
      startKey: keys,
      limit: params.options?.limit || 200
    }
  });
};
exports.scan = scan;

//# sourceMappingURL=scan.js.map