import type { CreateElasticsearchIndexTaskPluginIndex } from "./CreateElasticsearchIndexTaskPlugin";
import { CreateElasticsearchIndexTaskPlugin } from "./CreateElasticsearchIndexTaskPlugin";
import type { Context } from "../../types";
import type { Tenant } from "@webiny/api-tenancy/types";
import { I18NLocale } from "@webiny/api-i18n/types";
export interface IListIndexesParams {
    context: Context;
    plugins: CreateElasticsearchIndexTaskPlugin<Context>[];
    tenants?: Tenant[];
    locales?: I18NLocale[];
}
export declare const listIndexes: (params: IListIndexesParams) => Promise<CreateElasticsearchIndexTaskPluginIndex[]>;
