"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndexSettingsGetError = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
class IndexSettingsGetError extends _error.default {
  constructor(error, index) {
    super(error.message, "GET_INDEX_SETTINGS_ERROR", {
      ...error.data,
      index
    });
    this.index = index;
  }
}
exports.IndexSettingsGetError = IndexSettingsGetError;

//# sourceMappingURL=IndexSettingsGetError.js.map