"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IndexSettingsSetError = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
class IndexSettingsSetError extends _error.default {
  constructor(error, index) {
    super(error.message, "SET_INDEX_SETTINGS_ERROR", {
      ...error.data,
      index
    });
    this.index = index;
  }
}
exports.IndexSettingsSetError = IndexSettingsSetError;

//# sourceMappingURL=IndexSettingsSetError.js.map